GET api/lockapi/locksbycustomer/{customerId}?active={active}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| customerId | globally unique identifier |
Required |
|
| active | boolean |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of LockViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| direction | string |
Required String length: inclusive between 0 and 2 |
|
| distribution_id | globally unique identifier |
None. |
|
| guard_id | globally unique identifier |
None. |
|
| active | boolean |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"id": "93ed1110-8154-4a2a-a362-db9b53df720c",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "d2eee9f1-0dc9-4eb8-bd0c-03c93813846a",
"guard_id": "19fbe72d-6381-401f-82cf-ce2cae396e8c",
"active": true
},
{
"id": "93ed1110-8154-4a2a-a362-db9b53df720c",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "d2eee9f1-0dc9-4eb8-bd0c-03c93813846a",
"guard_id": "19fbe72d-6381-401f-82cf-ce2cae396e8c",
"active": true
}
]
application/xml, text/xml
Sample:
<ArrayOflock xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>d2eee9f1-0dc9-4eb8-bd0c-03c93813846a</distribution_id>
<guard_id>19fbe72d-6381-401f-82cf-ce2cae396e8c</guard_id>
<id>93ed1110-8154-4a2a-a362-db9b53df720c</id>
<name>sample string 2</name>
</lock>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>d2eee9f1-0dc9-4eb8-bd0c-03c93813846a</distribution_id>
<guard_id>19fbe72d-6381-401f-82cf-ce2cae396e8c</guard_id>
<id>93ed1110-8154-4a2a-a362-db9b53df720c</id>
<name>sample string 2</name>
</lock>
</ArrayOflock>